Announcement Announcement Module
Collapse
No announcement yet.
java.lang.NoClassDefFoundError: org/aopalliance/intercept/MethodInterceptor Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • java.lang.NoClassDefFoundError: org/aopalliance/intercept/MethodInterceptor

    Hi all,
    I start using Spring 3.0.0 RC3 (with beginner experiences!!), and when i try to start the application with spring tool, I get an exception
    java.lang.NoClassDefFoundError: org/aopalliance/intercept/MethodInterceptor

    I've read some articles about this bug but that was for RC1.

    Is there some simple solution of this problem? ..
    Thx.
    :-)

  • #2
    Hi,

    Have you placed spring-aop.jar in the classpath?

    -Hetal

    Comment


    • #3
      spring aop

      Hi again,
      if you mean apending to workspace org.springframework.aop-3.0.0.RC3.jar
      yes this jar is appended to project I check it in run configuration, on tab classpath and here is added in user entries - default classpath. (and there are other appended jars.. - from spring-framework-3.0.0.RC3-with-docs.zip, then jdbc jar, log4j etc..)

      .. may be the problem is that i forgot something when i downloaded spring - i thought that if i use spring-framework-3.0.0.RC3-with-docs.zip, there were all classes.

      Comment


      • #4
        If i understand you correctly, i feel you are referring to libraries in your build path which will be used for compilation. But you need the same during runtime.

        -Hetal

        Comment


        • #5
          I was getting this exception as well... seems you need to have aopalliance.jar in your classpath... org.springframework.aop-3.0.0.RC3.jar is not enough.

          You can download the file from here: http://sourceforge.net/projects/aopalliance/files/

          Comment


          • #6
            Originally posted by splashout View Post
            I was getting this exception as well... seems you need to have aopalliance.jar in your classpath... org.springframework.aop-3.0.0.RC3.jar is not enough.

            You can download the file from here: http://sourceforge.net/projects/aopalliance/files/
            I just faced the same problem trying to make Hibernate and Spring work together.

            This works like a charm, thanks for the tip splashout! Just pay attention when downloading the file from sourceforge, by default it links to the alpha version, you don't want that one!

            Sorry for pulling this thread from oblivion...

            Comment


            • #7
              Thx

              Originally posted by splashout View Post
              I was getting this exception as well... seems you need to have aopalliance.jar in your classpath... org.springframework.aop-3.0.0.RC3.jar is not enough.

              You can download the file from here: http://sourceforge.net/projects/aopalliance/files/
              Thx for your link and proper solution

              Comment


              • #8
                com.springsource.org.aopalliance-1.0.0.jar also works

                Originally posted by splashout View Post
                I was getting this exception as well... seems you need to have aopalliance.jar in your classpath... org.springframework.aop-3.0.0.RC3.jar is not enough.

                You can download the file from here: http://sourceforge.net/projects/aopalliance/files/
                You can also add com.springsource.org.aopalliance-1.0.0.jar.

                This ear is inside spring-framework-3.0.2.RELEASE-dependencies.zip

                I didnt find the dependencies for releases after 3.0.2, but it seam that ther jar of this old version works fine.

                Comment


                • #9
                  Thank you for good communication.

                  Comment

                  Working...
                  X